//
//  Evernote.h
//  Evernote Demo
//
//  Created by Rie Hisao on 1/22/12.
//  Copyright (c) 2012 Santa Clara University. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "THTTPClient.h"
#import "TBinaryProtocol.h"
#import "UserStore.h"
#import "NoteStore.h"
#import "Errors.h"

extern NSString *const consumerKey;
extern NSString *const consumerSecret;
extern NSString *const userStoreUri;
extern NSString *const noteStoreUriBase;
extern NSString *const shardId;

@interface Evernote : NSObject {
    NSString *authToken;
    NSString *username;
    NSString *password;
    EDAMUser *user;
    
    NSURL *noteStoreUri;
    EDAMNoteStoreClient *noteStore;
    Evernote *sharedEvernoteManager;
}

@property (retain) EDAMUser *user;
@property (retain) NSString *shardId;
@property (retain) NSString *authToken;
@property (retain) NSString *username;
@property (retain) NSString *password;
@property (retain) NSURL *noteStoreUri;
@property (retain) EDAMNoteStoreClient *noteStore;

+(Evernote *) sharedInstance;
-(void) setLoginInfo: (NSString *) userId andPassword: (NSString *) pwd;
-(void) connect;
-(NSArray *) listTags;
-(void) createTag: (EDAMTag *) tag;
-(void) updateTag: (EDAMTag *) tag;
-(void) untagAll: (NSString *) guid;
@end
