//
//  ViewController.m
//  Evernote Demo
//
//  Created by Rie Hisao on 1/19/12.
//  Copyright (c) 2012 Santa Clara University. All rights reserved.
//

#import "MainViewController.h"
#import "Evernote.h"

@implementation MainViewController
@synthesize usernameTField;
@synthesize userpwdTField;
@synthesize userName;
@synthesize pwd;

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    usernameTField.delegate = self;
    userpwdTField.delegate = self;
}

- (void)viewDidUnload
{
    [self setUsernameTField:nil];
    [self setUserpwdTField:nil];
    userName = nil;
    pwd = nil;
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (void)viewWillAppear:(BOOL)animated
{
    [super viewWillAppear:animated];
}

- (void)viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
}

- (void)viewWillDisappear:(BOOL)animated
{
	[super viewWillDisappear:animated];
}

- (void)viewDidDisappear:(BOOL)animated
{
	[super viewDidDisappear:animated];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)setUsername:(UITextField *)sender {
    // Set a username
    userName = sender.text;
    NSLog(@"username= %@", userName);
}

- (IBAction)setPassword:(UITextField *)sender {
    // Set a password
    pwd = sender.text;
    NSLog(@"password = %@", pwd);
}

- (IBAction)sendLoginReq:(id)sender {
    // Send a login request
    @try {
        [[Evernote sharedInstance] setLoginInfo:userName andPassword:pwd];
        [[Evernote sharedInstance] connect];
    }
    @catch (EDAMUserException *ex) {
        // Show error message whan a request failed.
        NSString *errorMsg = [NSString stringWithFormat:@"Login error: error code %i", [ex errorCode]];
        UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Failed login" message:errorMsg delegate:self cancelButtonTitle:@"Cancel" otherButtonTitles:nil];
        
        [alert show];
        [alert release];
        return;
    }
    
    // Login success
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Login success" message:@"You are logged-in" delegate:self cancelButtonTitle:@"Ok" otherButtonTitles:nil];
    
    [alert show];
    [alert release];
}

- (void)dealloc {
    [usernameTField release];
    [userpwdTField release];
    [userName release];
    [pwd release];
    [super dealloc];
}

#pragma mark -
#pragma UITextFieldDelegate
-(BOOL)textFieldShouldReturn:(UITextField *)textField {
    if ([textField isEqual:usernameTField]) {
        // Move to the next field
        [userpwdTField becomeFirstResponder];
    }
    
    if ([textField isEqual:userpwdTField]) {
        // Close the keyboard
        [userpwdTField resignFirstResponder];
    }
    
    return YES;
}
@end
